<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 16</a>

    <script>

        const subclasificacion = (arr,n) => {

            let s = 0, e = n-1, i, max, min;

            for (s = 0; s < n-1; s++) {

                if (arr[s] > arr[s+1])
                    break;
            }

            if (s == n-1) {
                document.write("The complete array is sorted");
                return;
            }

            for (e = n - 1; e > 0; e--) {
                if(arr[e] < arr[e-1])
                    break;
            }

            max = arr[s]; min = arr[s];

            for(i = s + 1; i <= e; i++) {

                if(arr[i] > max)
                    max = arr[i];
                if(arr[i] < min)
                    min = arr[i];
            }
        
            for( i = 0; i < s; i++) {
                if(arr[i] > min) {
                    s = i;
                    break;
                }
            }

            for( i = n -1; i >= e+1; i--) {
                if(arr[i] < max) {
                    e = i;
                    break;
                }
            }

            console.log("Los indices m y n son: "+ s +" y "+e);
            return;
        }

        let arr=[ 1, 2, 4, 7, 10, 11, 7, 12, 6, 7, 16, 18, 19 ];
        let arr_size = arr.length;
        subclasificacion(arr, arr_size);    

</script>
    
</body>
</html>